#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptonite-conduit
version:              0.2.2
visibility:           public
id:                   cryptonite-conduit-0.2.2-IQQ9L6Q4gRQGOr3VqgNc7x
key:                  cryptonite-conduit-0.2.2-IQQ9L6Q4gRQGOr3VqgNc7x
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/haskell-crypto/cryptonite-conduit
synopsis:             cryptonite conduit
description:
    Conduit bridge for cryptonite

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  26cf73fe15bba28311b65254a488813b
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-cryptonite-conduit
hs-libraries:         HScryptonite-conduit-0.2.2-IQQ9L6Q4gRQGOr3VqgNc7x
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.4.2-GrrMREMhAVI242j6S4hGxm
    conduit-extra-1.3.5-AmWEpIXL7TL9RBkDqtbGzy
    cryptonite-0.30-6WS01g2u04J8So84eVPTvN exceptions-0.10.4
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    resourcet-1.2.5-GhvejsVVLZq6reA0l1BJUh transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cryptonite-conduit/html/cryptonite-conduit.haddock

haddock-html:         /usr/share/doc/haskell-cryptonite-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

